<?php
// $Id: 40_USERWEBS.php.create.Vsite
// Copyright (c) 2014 Michael Stauber, SOLARSPEED.NET
// Copyright (c) 2014 Team BlueOnyx, BLUEONYX.IT
//
// ui extension to set settings for user webs on Vsite creation

if(defined("USERWEBS_EXTENSION_CREATE_VSITE"))
{
    return 1;
}
define("USERWEBS_EXTENSION_CREATE_VSITE", 1);

include_once("UIExtension.php");

class USERWEBSExtension extends UIExtension
{
    function display(&$helper, &$container, &$cce_info)
    {
        $factory =& $helper->getHtmlComponentFactory("base-apache");
        $cce =& $helper->getCceClient();
    
        $defaults = $cce->get($cce_info["CCE_SERVICES_OID"], "USERWEBS");
        
        // only add page if not already there
        if ($cce_info['CAN_ADD_PAGE'])
        {
            $pageId = 'webScripting';
            if (!in_array('webScripting', $container->getPageIds()))
            {
                $container->addPage("webScripting", 
                        $factory->getLabel("webScripting"));
            }
        }
        else
        {
            $pageId = $cce_info['PAGED_BLOCK_DEFAULT_PAGE'];
        }
        
	    $container->addFormField(
			$factory->getBoolean('userwebs', $defaults['enabled']),
		    $factory->getLabel('userwebs'),
		    $pageId
            );
    }

    function handle(&$helper, &$errors, &$cce_info, &$attributes)
    {
        $this->attributes = $attributes;

        $cce =& $helper->getCceClient();

        // Set safe default and override it if 'userwebs' is enabled:
        $USERWEBS_enabled = "0";
        if ($this->attributes['userwebs'] == "1") {
            $USERWEBS_enabled = "1";
        }

        // But turn 'userwebs' off if suPHP is enabled for a Vsite:
        $featurePHP = $cce->get($cce_info['CCE_OID'], 'PHP');
        if ($featurePHP['suPHP_enabled'] == "1") {
                $USERWEBS_enabled = "0";
        }

        // Tell CCE about it:
        $cce->set($cce_info["CCE_OID"], 'USERWEBS', array('enabled' => $USERWEBS_enabled));

        $errors = array_merge($errors, $cce->errors());
    }
}


